> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the status of a Unit COGS update job

> Get the status of a Unit COGS update job



## OpenAPI

````yaml /api-reference/openapi.json get /profitability/directCostsJobStatus
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /profitability/directCostsJobStatus:
    get:
      tags:
        - profitability
      summary: Get the status of a Unit COGS update job
      description: Get the status of a Unit COGS update job
      operationId: getDirectCostsJobStatus
      parameters:
        - name: channelId
          in: query
          description: Channel ID
          required: true
          schema:
            type: string
        - name: merchantId
          in: query
          description: Merchant ID
          required: true
          schema:
            type: string
        - name: jobId
          in: query
          description: Job ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DirectCostJobStatus'
        '400':
          description: Invalid input
          content: {}
        '404':
          description: Not found
          content: {}
      security:
        - api_key: []
components:
  schemas:
    DirectCostJobStatus:
      type: object
      properties:
        jobStatus:
          type: string
          enum:
            - COMPLETED
            - FAILED
            - IN_PROGRESS
      description: Response for status of a Unit COGS update job
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````